<template>
    <div>
        <div>
            <OrderStatus :type="1" :value="opsModel.Status" :name="opsModel.StatusStr"> </OrderStatus>
            <OrderStatus :type="2" :value="opsModel.PhysicalStatus" :name="opsModel.PhysicalStatusStr"> </OrderStatus>
        </div>
    </div>
</template>
<script setup>
const props = defineProps({
    opsModel: Object
});
function getStatusTagClass(statusId) {
    switch (statusId) {
        case 1:
            return 'tag-info'
        case 2:
            return 'tag-red';
        case 3:
            return 'tag-indigo';

        case 4:
            return 'tag-blue';
        case 5:
            return 'tag-lime';
        case 6:
            return 'tag-green';
        case 7:
            return 'tag-red';
        default:
            return 'tag-default';
    }
}
function getPhysicalStatusTagClass(statusId) {
    switch (statusId) {
        case 1:
            return 'tag-info'
        case 2:
            return 'tag-lime';
        case 3:
            return 'tag-indigo';

        case 4:
            return 'tag-blue';
        case 5:
            return 'tag-lime';
        case 6:
            return 'tag-red';
        case 7:
            return 'tag-red';
        default:
            return 'tag-default';
    }
}
</script>